spandsp 0.0.6

playout_frame_s Struct Reference

## Public Attributes
void * | data
int | type
timestamp_t | sender_stamp
timestamp_t | sender_len
timestamp_t | receiver_stamp
struct playout_frame_s * | earlier
struct playout_frame_s * | later

## Member Data Documentation

## ◆ data

void* playout_frame_s::data

The actual frame data

## ◆ earlier

struct playout_frame_s* playout_frame_s::earlier

Pointer to the next earlier frame

## ◆ later

struct playout_frame_s* playout_frame_s::later

Pointer to the next later frame

## ◆ receiver_stamp

timestamp_t playout_frame_s::receiver_stamp

The timestamp assigned by the receiving end

## ◆ sender_len

timestamp_t playout_frame_s::sender_len

The timespan covered by the data in this frame

## ◆ sender_stamp

timestamp_t playout_frame_s::sender_stamp

The timestamp assigned by the sending end

## ◆ type

int playout_frame_s::type

The type of frame

The documentation for this struct was generated from the following file:

- playout.h